#!/bin/bash
# SPDX-License-Identifier: BSD-3-Clause

source graded_test.inc.sh

exec_file=../src/num_lines

test_no_file()
{
    if test ! -f "$exec_file"; then
        echo "No such file $exec_file" 1>&2
        exit 1
    fi

    file "$exec_file" 2> /dev/null | grep ELF | grep '64-bit' > /dev/null 2>&1
    if test $? -ne 0; then
        echo "File $exec_file is not a 64 bit executable file" 1>&2
        exit 1
    fi

    if test ! -x "$exec_file"; then
        echo "File $exec_file is not executable" 1>&2
        exit 1
    fi

    "$exec_file" /a/b/c/d/e/f > /dev/null 2>&1
    if test $? -eq 0; then
        echo "Wrong return value for non existing file" 1>&2
        exit 1
    fi

    exit 0
}

run_test test_no_file 180
