#!/bin/bash
# SPDX-License-Identifier: BSD-3-Clause

source graded_test.inc.sh

exec_file=../src/num_lines

test_one_line_one_empty_line()
{
    if test ! -f "$exec_file"; then
        echo "No such file $exec_file" 1>&2
        exit 1
    fi

    file "$exec_file" 2> /dev/null | grep ELF | grep '64-bit' > /dev/null 2>&1
    if test $? -ne 0; then
        echo "File $exec_file is not a 64 bit executable file" 1>&2
        exit 1
    fi

    if test ! -x "$exec_file"; then
        echo "File $exec_file is not executable" 1>&2
        exit 1
    fi

    tmpfile=$(mktemp)
    (
    echo "ana are mere"
    echo "   "$'\t'$'\t'"   "
    ) > "$tmpfile"

    num="$("$exec_file" "$tmpfile")"
    if test -z "$num"; then
        echo "Empty result" 1>&2
        exit 1
    fi
    if test "$num" -ne 1; then
        echo "Incorrect result" 1>&2
        exit 1
    fi

    rm -f "$tmpfile"

    exit 0
}

run_test test_one_line_one_empty_line 180
